Summary:        Add a copy button to code cells in Sphinx docs
Name:           python-sphinx-copybutton
Version:        0.5.1
Release:        1%{?dist}
License:        MIT
URL:            https://sphinx-copybutton.readthedocs.io/en/latest/
Source0:        %{pypi_source sphinx-copybutton}

BuildRequires:  python3-devel
Provides:       %{name}-doc = %{version}-%{release}
BuildArch:      noarch

%description
Sphinx-copybutton does one thing: add a little "copy" button to the right of your code blocks.  If
the code block overlaps to the right of the text area, you can just click the button to get the
whole thing.

%package     -n python3-sphinx-copybutton
Summary:        Add a copy button to code cells in Sphinx docs

%description -n python3-sphinx-copybutton
Sphinx-copybutton does one thing: add a little "copy" button to the right of your code blocks.  If
the code block overlaps to the right of the text area, you can just click the button to get the
whole thing.

%prep
%autosetup -n sphinx-copybutton-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_copybutton

%check

%files -n python3-sphinx-copybutton -f %{pyproject_files}
%doc README.md

%changelog
* Fri Sep 22 2023 Shuo Wang <abushwang@tencent.com> - 0.5.1-1
- update to 0.5.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 13 2023 Shuo Wang <abushwang@tencent.com> - 0.5.0-1
- initial build
